Bug 859600 - Installation into installroot with yum leads to rogue %{_unitdir} directory in /
Installation into installroot with yum leads to rogue %{_unitdir} directory in /
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ipmiutil (Show other bugs)
16
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Andy Cress
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-22 06:06 EDT by Gustav Paul
Modified: 2012-12-20 11:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:10:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gustav Paul 2012-09-22 06:06:17 EDT
Description of problem:
Installing ipmiutil into a minimal installroot with yum leads to a rogue '%{_unitdir}' directory in the root of the installroot.

Version-Release number of selected component (if applicable):
Performed on a pretty vanilla FC-16 

How reproducible:
Every time


Steps to Reproduce:
1. mkdir /tmp/installroot
2. sudo yum --installroot /tmp/installroot install basesystem ipmiutil systemd
3. ls /tmp/installroot
  
Actual results:
$ ls /tmp/installroot
bin   dev  home  lib64  mnt  proc  run   srv  tmp          usr
boot  etc  lib   media  opt  root  sbin  sys  %{_unitdir}  var


Expected results:
bin   dev  home  lib64  mnt  proc  run   srv  tmp          usr
boot  etc  lib   media  opt  root  sbin  sys  var
Comment 1 Fedora Update System 2012-09-26 14:34:03 EDT
ipmiutil-2.8.4-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ipmiutil-2.8.4-2.fc16
Comment 2 Fedora Update System 2012-09-27 00:28:46 EDT
Package ipmiutil-2.8.4-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ipmiutil-2.8.4-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14889/ipmiutil-2.8.4-2.fc16
then log in and leave karma (feedback).
Comment 3 Gustav Paul 2012-09-27 01:47:27 EDT
Thank you, I'm traveling for a couple of days so I'll confirm when I get back.
Comment 4 Fedora Update System 2012-12-20 11:10:11 EST
ipmiutil-2.8.4-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.